Bug 128399 - FILEOPEN DOCX: Can't select text in table with rotated text
Summary: FILEOPEN DOCX: Can't select text in table with rotated text
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Tables Text-Direction-Unification
  Show dependency treegraph
 
Reported: 2019-10-25 22:42 UTC by Aron Budea
Modified: 2019-11-20 16:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (saved in LO 6.2) (4.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-10-25 22:42 UTC, Aron Budea
Details
Sample as original ODT (9.14 KB, application/vnd.oasis.opendocument.text)
2019-10-25 22:43 UTC, Aron Budea
Details
Comparison screenshot (137.10 KB, image/png)
2019-10-25 22:51 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-10-25 22:42:59 UTC
Created attachment 155317 [details]
Sample DOCX (saved in LO 6.2)

The attached simple DOCX was created in LO 6.2.0.3, and saved in DOCX format. It has vertical (rotated) text in the first column.

- Open it in LO 6.3+. The text already looks different.
- Click into the different cells in the first column (the one with the rotated text).

=> The caret always ends up in the top cell, other cells in that column aren't selectable.

Both mentioned issues started with the following commit. Adding Cc: to Miklos Vajna, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8fdbda18b593e7014e44a0fd590bbf98d83258b7
author		Miklos Vajna <vmiklos@collabora.com>	2019-02-15 14:06:15 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-02-15 15:05:07 +0100

sw btlr writing mode: implement DOCX filter
Comment 1 Aron Budea 2019-10-25 22:43:40 UTC
Created attachment 155318 [details]
Sample as original ODT
Comment 2 Aron Budea 2019-10-25 22:51:10 UTC
Created attachment 155319 [details]
Comparison screenshot

Screenshot taken with LO 6.4.0.0.alpha1+ (a8b1699ca9c7e8c43eff79467451fd1fcb4fde9b).
Note that when saving the ODT as DOCX in 6.3+, it looks fine after reload, only files saved before the btlr fix are affected.
Comment 3 Dieter 2019-10-27 17:25:47 UTC
I confirm it (including additional informations from comment 2) with

Version: 6.4.0.0.alpha1 (x64)
Build ID: cc57df8f942f239d29cb575ea5a7cb01405db787
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2019-10-29 18:00:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/435ab51ec8920033b7865f27f4afee8a852a0b31

tdf#128399 sw btlr: fix clicking to lower rotated cell

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-10-30 17:03:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/fe7deff845c39a351a92b8e01168a527fc237a9b

tdf#128399 sw btlr: fix clicking to lower rotated cell

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-10-31 09:47:44 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Text can be selected now in cells B1, C1 and D1

@Miklos, thanks for fixing this issue!!